{% extends "base.html.twig" %}

{% block title %} {{ gite.nom }} {% endblock %}

{% block body %}
<main class="container p-0">
    <nav aria-label="breadcrumb" class="p-3">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="/">Accueil</a></li>
            <li class="breadcrumb-item"><a href="/produits">Nos Gites</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{gite.nom}}</li>
        </ol>
    </nav>

    <div class="d-flex justify-content-between pb-2">
        <h1 class="pt-2 pb-2">{{ gite.nom }}</h1>
        <div class="d-flex flex-column">
            <span class="fst-italic">A partir de </span>
            <span class="fw-semibold fs-4">
            {% for saison in saisons %}
                {% if (saison.datedebut > jour) and (saison.datefin) > jour %}
                {{saison.tarifhebdo - saison.tarifhebdo * 10 / 100}}
                {% else %}
                {{saison.tarifhebdo}}
                {% endif %}                
            {% endfor %}
             € <span class="fw-normal fs-6">/ semaine</span></span>
        </div>
    </div>

    <div class="ps-4 pb-2">
        <span class="badge text-bg-success">{{ gite.adresse }}</span>
        <span class="badge text-bg-success">{{ gite.ville.nom }}</span>
        <span class="badge text-bg-success">{{ gite.departement.nom }}</span>
        <span class="badge text-bg-success">{{ gite.surface }} m²</span>
        <span class="badge text-bg-success">{{ gite.capacite }} personnes</span>
        <span class="badge text-bg-success">{{ gite.nbchambre }} chambre(s)</span>
        <span class="badge text-bg-success">{{ gite.nbcouchage }} couchage(s)</span>
        <span class="badge text-bg-success">Animaux : {{ gite.nbanimaux }} max</span>        
    </div>

 
    <div id="carouselExample" class="carousel slide p-3">
        <div class="carousel-inner">
            {% for photo in photos %}
                <div class="carousel-item {% if loop.first %}active{% endif %}">
                    <img src="{{ asset(photo.path) }}" alt="{{gite.nom}}-{{loop.index}}" class="d-block w-75 mx-auto">
                </div>                    
            {% endfor %}
        </div>
        <button class="carousel-control-prev" type="button" data-bs-target="#carouselExample" data-bs-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="visually-hidden">Previous</span>
        </button>
        <button class="carousel-control-next" type="button" data-bs-target="#carouselExample" data-bs-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="visually-hidden">Next</span>
        </button>
    </div>


    <p class="py-2">{{ gite.description }}</p>

    <div>

        <h5>Equipements intérieurs</h5>
        <ul class="list-group list-group-horizontal mx-1">
            {% for equipement in gite.detailsequipements %}
                {% if equipement.equipement.categorie == 'Intérieur' %}
                    <li class="list-group-item mx-1 border rounded p-2">{{ equipement.equipement.label }}</li>
                {% endif %}        
            {% endfor %}    
        </ul>

    </div>

</main>
    

{% endblock %}